% Fhrer/Heidemann/Nerreter Band 1, Aufgabe 5.3
clc
R1=100;
R2=200;
R3=300;
R4=400;
R6=500;
R7=600;
G1=1/R1;
G2=1/R2;
G3=1/R3;
G4=1/R4;
G6=1/R6;
G7=1/R7;
Uq1=10;
k=225;
M=[G2+G3 -(G3+G6) G6+G7; -G3 G3+G4+G6 -G6; 1+k 0 -1];
RS=[G2*Uq1; G4*Uq1; k*Uq1];
x=linsolve(M, RS);
U20=x(1);
U30=x(2);
U40=x(3);
disp(['U2,0 =',sprintf(' %4.5f ',U20),' V']);
disp(['U3,0 =',sprintf(' %4.5f ',U30),' V']);
disp(['U4,0 =',sprintf(' %4.5f ',U40),' V']);
disp(' ');
M=[R1 R1 0 R1; R1 R1+(1+k)*R2+R7 -(1+k)*R2 R1+(1+k)*R2+R7; 0 -R2 R1+R2+R7 -(R2+R3); R1 R1+R2+R7 -(R2+R3) R1+R2+R3+R6+R7];
RS=[-Uq1; 0; 0; 0];
x=linsolve(M, RS);
I1=x(1);
I5=x(2);
I4=x(3);
I6=x(4);
I7=-I5-I6;
I3=I6-I4;
U20=R3*I3+I6*R6-R7*I7;
U30=I6*R6-R7*I7;
U40=-R7*I7;
disp(['U2,0 =',sprintf(' %4.5f ',U20),' V']);
disp(['U3,0 =',sprintf(' %4.5f ',U30),' V']);
disp(['U4,0 =',sprintf(' %4.5f ',U40),' V']);