% Fhrer/Heidemann/Nerreter, Band 1
% Kapitel 7, Aufgabe 18
clc;
disp('Band 1, Aufgabe 7.18');
BL=1.2;
my0=pi*4.0e-7;
wmL=BL^2/(2*my0);
% figure;
gu=0; % untere Grenze
go=1.2; % obere Grenze
n=100;
x=[0 0.2 0.4 0.75 0.94 1.2]; % Werte der Flussdichte B in Tesla
y=[0  50  70  100  130 245]; % Werte der Feldstrke H in A/m
anzahl=n*length(x)-1;
s=(go-gu)/anzahl; % Schrittweite
xx=gu:s:go; % Werte B
yy=spline(x,y,xx); % Werte H
% plot(xx,yy); hold on; grid;
% xlabel('B in T'); ylabel('H in A/m');
m=0; % maximale Permeabilitt
for k=2:anzahl;
    ma=xx(k)/yy(k); % aktuelle Permeabilitt
    if ma>m; m=ma; Ba=xx(k); Ha=yy(k); end;
end;
disp(' ');
disp(['my =',sprintf(' %3.5e ',m),'Vs/Am']);
disp(['B =',sprintf(' %3.5f ',Ba),'T']);
disp(['H =',sprintf(' %3.5f ',Ha),'A/m']);